librime: rime::Simplifier Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
rime::Simplifier Class Reference

`#include <simplifier.h>`

Inheritance diagram for rime::Simplifier:
[legend]
Collaboration diagram for rime::Simplifier:
[legend]

## Public Member Functions
| Simplifier (const Ticket &ticket, an< Opencc > opencc)
virtual an< Translation > | Apply (an< Translation > translation, CandidateList *candidates)
virtual bool | AppliesToSegment (Segment *segment)
bool | Convert (const an< Candidate > &original, CandidateQueue *result)
Public Member Functions inherited from rime::Filter
| Filter (const Ticket &ticket)
virtual | ~Filter ()=default
string | name_space () const

## Protected Types
enum | TipsLevel { kTipsNone , kTipsChar , kTipsAll }

## Protected Member Functions
void | PushBack (const an< Candidate > &original, CandidateQueue *result, const string &simplified)

## Protected Attributes
an< Opencc > | opencc_
TipsLevel | tips_level_ = kTipsNone
string | option_name_
set< string > | excluded_types_
bool | show_in_comment_ = false
bool | inherit_comment_ = true
Projection | comment_formatter_
bool | random_ = false
Protected Attributes inherited from rime::Filter
Engine * | engine_
string | name_space_

## Additional Inherited Members
Public Types inherited from rime::Class< Filter, const Ticket & >
using | Initializer
Static Public Member Functions inherited from rime::Class< Filter, const Ticket & >
static Component * | Require (const string &name)

## Member Enumeration Documentation

## ◆ TipsLevel

enum rime::Simplifier::TipsLevel
| protected

Enumerator
kTipsNone |
kTipsChar |
kTipsAll |

## Constructor & Destructor Documentation

## ◆ Simplifier()

rime::Simplifier::Simplifier | ( | const Ticket & | ticket,
|  | an< Opencc > | opencc )

## Member Function Documentation

## ◆ AppliesToSegment()

virtual bool rime::Simplifier::AppliesToSegment | ( | Segment * | segment | ) |
| inlinevirtual

Reimplemented from rime::Filter.

## ◆ Apply()

an< Translation > rime::Simplifier::Apply | ( | an< Translation > | translation,
|  | CandidateList * | candidates )
| virtual

Implements rime::Filter.

## ◆ Convert()

bool rime::Simplifier::Convert | ( | const an< Candidate > & | original,
|  | CandidateQueue * | result )

random_

## ◆ PushBack()

void rime::Simplifier::PushBack | ( | const an< Candidate > & | original,
|  | CandidateQueue * | result,
|  | const string & | simplified )
| protected

## Member Data Documentation

## ◆ comment_formatter_

Projection rime::Simplifier::comment_formatter_
| protected

## ◆ excluded_types_

set<string> rime::Simplifier::excluded_types_
| protected

## ◆ inherit_comment_

bool rime::Simplifier::inherit_comment_ = true
| protected

## ◆ opencc_

an<Opencc> rime::Simplifier::opencc_
| protected

## ◆ option_name_

string rime::Simplifier::option_name_
| protected

## ◆ random_

bool rime::Simplifier::random_ = false
| protected

## ◆ show_in_comment_

bool rime::Simplifier::show_in_comment_ = false
| protected

## ◆ tips_level_

TipsLevel rime::Simplifier::tips_level_ = kTipsNone
| protected

The documentation for this class was generated from the following files:

- simplifier.h
- simplifier.cc